#include "triangles.h"
#include <bits/stdc++.h>
mt19937 rnd(time(0));
std::vector<std::vector<int>> solve(int n) {
    // Example of compare:
    // Пример использования функции compare:
    std::vector<Triangle> left = {Triangle(0, 1, 2)};
    std::vector<Triangle> right = {Triangle(0, 1, 2)};
    int compare_result = compare(left, right);
    // compare_result should be equal to 0.
    // compare_result будет равняться нулю, так как сравнивались одинаковые треугольники.

    // Example of return:
    // Пример возвращаемого значения:
    std::vector<std::vector<int>> ans;
    int mx1 = 0, mx2 = 1, mx3 = 2;
    for (int i = 0; i < 200000; i++){
        int x = rnd();
        int y = rnd();
        int z = rnd();
        if (compare(Triangle(mx1, mx2, mx3, Triangle(x, y, z)) == -1)){
            mx1 = x;
            mx2 = y;
            mx3 = z;
        }
    }
    ans.push_back(std::vector <int>(3));
    ans[0][0] = mx1;
    ans[0][1] = mx2;
    ans[0][2] = mx3;
    return ans;
}
